unit EntryEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TEditEntryForm = class(TForm)
    TitlesPanel: TPanel;
    DelayLabel: TLabel;
    AppCommandLineLabel: TLabel;
    AppTitleLabel: TLabel;
    EditBoxPanel: TPanel;
    AppTitleEdit: TEdit;
    CommandLineEdit: TEdit;
    DelayEdit: TEdit;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormResize(Sender: TObject);
    procedure AppTitleEditChange(Sender: TObject);
    procedure DelayEditChange(Sender: TObject);
    procedure CommandLineEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EditEntryForm: TEditEntryForm;

implementation

uses Main;

{$R *.DFM}

procedure TEditEntryForm.FormClose(Sender: TObject;  var Action: TCloseAction);
begin
 SiliLauncherForm.UpdateItemIndices(SiliLauncherForm.AppNameCheckListBox.Items.Count-1);
 Close;
end;

procedure TEditEntryForm.FormResize(Sender: TObject);
begin
 if EditEntryForm.ClientWidth<150 then
  EditEntryForm.ClientWidth:=150;
 EditEntryForm.ClientHeight:=69;
 AppTitleEdit.Width    := EditBoxPanel.Width-8;
 CommandLineEdit.Width := EditBoxPanel.Width-8;
 DelayEdit.Width       := EditBoxPanel.Width-8;
end;

procedure TEditEntryForm.AppTitleEditChange(Sender: TObject);
begin
 SiliLauncherForm.AppNameCheckListBox.Items[SiliLauncherForm.AppNameCheckListBox.ItemIndex] := AppTitleEdit.Text;
 SiliLauncherForm.AppNameEdit.Text := AppTitleEdit.Text;
end;

procedure TEditEntryForm.DelayEditChange(Sender: TObject);
begin
 SiliLauncherForm.DelayListBox.Items[SiliLauncherForm.DelayListBox.ItemIndex] := DelayEdit.Text;
 SiliLauncherForm.DelaySpinEdit.Text                                          := DelayEdit.Text;
end;

procedure TEditEntryForm.CommandLineEditChange(Sender: TObject);
begin
 SiliLauncherForm.ShortcutListBox.Items[SiliLauncherForm.ShortcutListBox.ItemIndex] := CommandLineEdit.Text;
end;

end.
